# Class UnauthorizedException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Exception thrown when a user lacks authorization to perform an operation.

    public class UnauthorizedException : Exception, ISerializable

Inheritance
  object
  Exception
  UnauthorizedException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### UnauthorizedException(string)

Initializes a new instance of the UnauthorizedException class.

    public UnauthorizedException(string message)

#### Parameters

`message` string

  The message that describes the error.

### UnauthorizedException(ErrorMessage)

Initializes a new instance of the UnauthorizedException class.

    public UnauthorizedException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message associated with the exception.